<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/system/Base_ware_location.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/system/InterfaceCallQuery.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "Id",
      footer: "Foots",
      cnName: "调用MES接口信息查询",
      name: "/InterfaceInfo",
      url: "/InterfaceInfo/",
      sortName: "Id",
    });
    const editFormFields = ref({});
    const editFormOptions = ref([]);
    const searchFormFields = ref({
      TaskID: "",
      DeviceID:""
    });
    const searchFormOptions = ref([
      [
        { title: "任务号", field: "TaskID", type: "like" },
        { title: "设备编号", field: "DeviceID", type: "like" },
      ],
    ]);
    const columns = ref([
      {
        field: "Id",
        title: "ID",
        type: "guid",
        width: 90,
        require: true,
        align: "left",
        sortable: true,
        hidden: true,
      },
      {
        field: "InterfaceName",
        title: "接口名称",
        type: "string",
        width: 120,
        require: true,
        align: "left",
        bind: { key: "", data: [
           { key: "EquipFeeding", value: "获取设备上料信息" },
           {key:"EquipUnloading",value:"获取设备下料信息"},
           {key:"InStockMaterBind",value:"入库物料绑定"},
           {key:"OutNeedStosk",value:"出库要料"},
           {key:"OutStockMaterMove",value:"出库物料确认搬走"},
           {key:"BakingFeedingBinding",value:"烘箱物料绑定"},
           { key: "Updatestockstate", value: "更新物料信息" },
           {key:"DeleteTask",value:"大小极卷库删除任务"},
           {key:"Uprequest",value:"三楼卷绕上料"},
           {key:"OutStockMaterBind",value:"出库物料绑定"},
           {key:"GetAbnormalState",value:"出库异常"},
           {key:"InStockMaterMove",value:"入库物料确认搬走"},
           ] },
      },
      {
        field: "TaskID",
        title: "任务号",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },{
        field: "DeviceID",
        title: "设备编号",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },
      {
        field: "Code",
        title: "返回状态",
        type: "int",
        width: 120,
        require: true,
        align: "left",
        bind: { key: "", data: [{ key: "0", value: "成功" },{key:"1",value:"失败"}] },
      }, {
        field: "Message",
        title: "返回信息",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },{
        field: "updatetime",
        title: "更新时间",
        type: "DateTime",
        width: 120,
        require: true,
        align: "left",
      }
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
